GuideLab API

List stable price books and their versions

GET
/price-lists

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/price-lists"
{  "priceLists": [    {      "id": "string",      "labId": "string",      "name": "string",      "description": "string",      "isDefault": true,      "createdBy": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "archivedAt": "2019-08-24T14:15:22Z",      "archivedBy": "string",      "versions": [        {          "id": "string",          "labId": "string",          "priceListId": "string",          "currency": "string",          "publicationNumber": 0,          "defaultDiscountPercent": "string",          "revision": 0,          "effectiveFrom": "2019-08-24T14:15:22Z",          "effectiveUntil": "2019-08-24T14:15:22Z",          "createdBy": "string",          "publishedAt": "2019-08-24T14:15:22Z",          "publishedBy": "string",          "cancelledAt": "2019-08-24T14:15:22Z",          "cancelledBy": "string",          "endedEarlyAt": "2019-08-24T14:15:22Z",          "endedEarlyBy": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z"        }      ]    }  ]}
Empty
Empty
Empty
Empty
Empty
Empty